%define xf86 XFree86

Name: xorg-x11-xfs
Version: 1.0.4
Release: alt1.M40.1
Serial: 1
Summary: X font server
License: MIT/X11
Group: System/X11

Url: http://xorg.freedesktop.org
Source: xfs-%version.tar.bz2
Source1: xfs.init
Source2: xfs.sysconfig

Patch0: xfs-1.0.4-cve-2007-4568.patch

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Obsoletes: xtt %xf86-xfs
Provides: %xf86-xfs = 4.4
PreReq: shadow-utils
Requires: chkfontpath xfsinfo fslsfonts

BuildRequires: libfreetype-devel libFS-devel libXfont-devel libfontenc-devel
BuildRequires: pkg-config xorg-x11-proto-devel zlib-devel xorg-x11-util-macros

%description
Xfs is the X Window System font server.  It supplies fonts to X  Window
System display servers.

%def_disable ipv6

%prep
%setup -q -n xfs-%version

%patch0 -p1

%build
%__subst 's,\$(libdir)/X11/fs,$(sysconfdir)/X11/fs,' Makefile.am
%__autoreconf
%configure \
	%{subst_enable ipv6}

%make_build

%install
%make DESTDIR=%buildroot install

%__install -pD -m644 %SOURCE2 %buildroot%_sysconfdir/sysconfig/xfs
%__install -pD -m755 %SOURCE1 %buildroot%_initdir/xfs

%pre
%_sbindir/groupadd -r -f xfs
%_sbindir/useradd -r -g xfs -d /etc/X11/fs -s /dev/null -c "X Font Server" -n xfs >/dev/null 2>&1 ||:

%post
%post_service xfs

%preun
%preun_service xfs

%triggerin -- %xf86-xfs %name <= 0:6.9.0
/sbin/service xfs status > %_lockdir/xfs.status ||:
[ "`cat %_lockdir/xfs.status`" != "xfs is running" ] || killall -9 xfs ||:

%triggerun -- %name <= 1.0.1-alt4
if ! grep -q "XFS" %_sysconfdir/sysconfig/xfs; then
	echo "XFS=yes" >> %_sysconfdir/sysconfig/xfs
fi

%triggerpostun -- %xf86-xfs %name <= 0:6.9.0
/sbin/chkconfig --add xfs
[ "`cat %_lockdir/xfs.status`" != "xfs is running" ] || /sbin/service xfs start ||:
%__rm -f %_lockdir/xfs.status

%files
%config(noreplace) %_sysconfdir/sysconfig/xfs
%config %_initdir/xfs
%_bindir/*
%_man1dir/*

%changelog
* Mon Dec 17 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.4-alt1.M40.1
- added "PreReq: shadow-utils" (close #13730)

* Tue Oct 02 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.4-alt1.M40
- fixed CVE-2007-4568

* Thu Nov 30 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.4-alt1
- 1.0.4

* Sat Oct 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.3-alt1
- 1.0.3

* Thu Apr 27 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.2-alt1
- 1.0.2

* Fri Mar 24 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt5
- fixed #9304

* Wed Mar 22 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt4
- removed rm -rf /tmp/.font-unix from initscript
- added new parameter XFS=yes|no to /etc/sysconfig/xfs

* Thu Mar 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt3
- CVS snapshot 2006-03-13

* Sun Jan 01 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt2
- fixed update with %name <= 6.9.0

* Tue Dec 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.99.3-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.99.2-alt0.1
- initial release

